ata_tf_to_fis
Prev | Chapter 4. libata Library | Next

## Name

ata_tf_to_fis — Convert ATA taskfile to SATA FIS structure

## Synopsis

`void ata_tf_to_fis (` | const struct ata_taskfile * | tf,
| u8 | pmp,
| int | is_cmd,
| u8 * | fis`)`;

## Arguments

`tf`

  Taskfile to convert

`pmp`

  Port multiplier port

`is_cmd`

  This FIS is for command

`fis`

  Buffer into which data will output

## Description

Converts a standard ATA taskfile to a Serial ATA FIS structure (Register - Host to Device).

## LOCKING

Inherited from caller.

Prev | Up | Next
Chapter 4. libata Library | Home | ata_tf_from_fis